# norootforbuild

Name:           GeneralUser
Summary:        Soundfont and MIDI Sample
Version:        1.43
Release:        2.5
License:        Other License(s), see package
Group:          Productivity/Multimedia/Sound/Midi
URL:            http://www.schristiancollins.com/generaluser.php

Source0:        GeneralUser_GS_1.43-FluidSynth.zip

Vendor:         Packman
Provides:       soundfont
Requires:       awesfx
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Autoreqprov:    on
BuildArchitectures: noarch

%description
This package contains the generaluser sound font and samplefiles

%prep
%setup -T -c -n %{name}-%{version}
unzip -j -q %{SOURCE0}

%build

%install
mkdir -p %{buildroot}/usr/share/sounds/mid
mkdir -p %{buildroot}/usr/share/sounds/sf2
chmod 644 *
sed -i 's/\r//' *.txt
%{__install} -m 644 "GeneralUser GS FluidSynth v1.43.sf2" %{buildroot}/usr/share/sounds/sf2/GeneralUser_GS_FluidSynth.sf2
%{__install} -m 644 "MIDI Playback (Classical).Aup" %{buildroot}/usr/share/sounds/sf2/
%{__install} -m 644 "MIDI Playback (Normal).Aup" %{buildroot}/usr/share/sounds/sf2/
%{__install} -m 644 "GUTest.mid" %{buildroot}/usr/share/sounds/mid
%{__install} -m 644 "All Night Long.mid" %{buildroot}/usr/share/sounds/mid/All_Night_Long.mid
%{__install} -m 644 "earthday.mid" %{buildroot}/usr/share/sounds/mid/earthday.mid
%{__install} -m 644 "majicalljarr.mid" %{buildroot}/usr/share/sounds/mid/majicalljarr.mid
%{__install} -m 644 "S. Christian Collins - Come and Worship Him.mid" %{buildroot}/usr/share/sounds/mid/S._Christian_Collins_-_Come_and_Worship_Him.mid
%{__install} -m 644 "S. Christian Collins - March #1 in D major.mid" %{buildroot}/usr/share/sounds/mid/S._Christian_Collins_-_March_#1_in_D_major.mid
%{__install} -m 644 "S. Christian Collins - The Hybrid Collage.mid" %{buildroot}/usr/share/sounds/mid/S._Christian_Collins_-_The_Hybrid_Collage.mid
%{__install} -m 644 "Take 5 - by Paul Desmond.mid" %{buildroot}/usr/share/sounds/mid/Take_5_-_by_Paul_Desmond.mid
%{__install} -m 644 "The Christmas Song.mid" %{buildroot}/usr/share/sounds/mid/The_Christmas_Song.mid
%{__install} -m 644 "To Make the End of Battle.mid" %{buildroot}/usr/share/sounds/mid/To_Make_the_End_of_Battle.mid

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc "*.txt"
%dir /usr/share/sounds/sf2
%dir /usr/share/sounds/mid
/usr/share/sounds/sf2/*
/usr/share/sounds/mid/*

%changelog
* Mon Sep 07 2009 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 1.43-1.pm.1
- cleanups where rpmlint wasn't so happy
* Tue Jul 21 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- included some changes from Pedro Lopez-Cabanillas to build it
  also on older SUSE distributions
* Sat Jul 18 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- initial release
